Package be.fgov.ehealth.mediprima.core.v1

# Class MedicalCardRegistryMessageType

java.lang.Object
be.fgov.ehealth.mediprima.core.v1.MedicalCardRegistryMessageType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:18:17+02:00", comments="JAXB RI v4.0.5") public class MedicalCardRegistryMessageType extends Object implements Serializable

Java class for MedicalCardRegistryMessageType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="MedicalCardRegistryMessageType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="ReasonCode" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="Source" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="Communication" type="{urn:be:fgov:ehealth:mediprima:core:v1}NameType" maxOccurs="unbounded" minOccurs="2"/>
           </sequence>
           <attribute name="Severity" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MedicalCardRegistryMessageType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<NameType>`
  `getCommunications()`
  The description of the MedicalCardRegistry status Gets the value of the communications property.
  `String`
  `getReasonCode()`
  The code of the MedicalCardRegistry status
  `String`
  `getSeverity()`
  Severity of the message : ERROR of WARNING
  `String`
  `getSource()`
  Source name of the message (always ECARMED)
  `void`
  `setReasonCode(String value)`
  Sets the value of the reasonCode property.
  `void`
  `setSeverity(String value)`
  Sets the value of the severity property.
  `void`
  `setSource(String value)`
  Sets the value of the source property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### MedicalCardRegistryMessageType

    public MedicalCardRegistryMessageType()

- ## Method Details

  - ### getReasonCode

    public String getReasonCode()
    The code of the MedicalCardRegistry status
    Returns:
      possible object is `String`

  - ### setReasonCode

    public void setReasonCode(String value)
    Sets the value of the reasonCode property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getReasonCode()`

  - ### getSource

    public String getSource()
    Source name of the message (always ECARMED)
    Returns:
      possible object is `String`

  - ### setSource

    public void setSource(String value)
    Sets the value of the source property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getSource()`

  - ### getCommunications

    public List<NameType> getCommunications()
    The description of the MedicalCardRegistry status Gets the value of the communications property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the communications property.

    For example, to add a new item, do as follows:

         getCommunications().add(newItem);

    Objects of the following type(s) are allowed in the list `NameType`

    Returns:
      The value of the communications property.

  - ### getSeverity

    public String getSeverity()
    Severity of the message : ERROR of WARNING
    Returns:
      possible object is `String`

  - ### setSeverity

    public void setSeverity(String value)
    Sets the value of the severity property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getSeverity()`